Jump to content

Creator 5 Compatibility with XP


thallis

Recommended Posts

I dug out an old copy of Easy CD Creator 5. I have xp OS. I want to install Easy CD Creator 5. I get an incompatibility message. What do I need?.

Here's the short version.

 

-Ignore the incompatability message.

-install your version 5 but don't restart Windows

-install the 5.3.5.10 updater, and then restart Windows.

 

This has the effect of not letting Windows see any early (incompatible) ECDC drivers running. By the time everything starts to run, it's version 5.3.5 already.

 

5.3.5.10 should run okay when installed like this. I've never had problems with it, but some folks have and I suspect this might be one of the reasons why support for version 5 was dropped.

Link to comment
Share on other sites

  • 4 weeks later...
Here's the short version.

 

-Ignore the incompatability message.

-install your version 5 but don't restart Windows

-install the 5.3.5.10 updater, and then restart Windows.

 

This has the effect of not letting Windows see any early (incompatible) ECDC drivers running. By the time everything starts to run, it's version 5.3.5 already.

 

5.3.5.10 should run okay when installed like this. I've never had problems with it, but some folks have and I suspect this might be one of the reasons why support for version 5 was dropped.

 

Sorry for the butt-in but is this procedure good for Windows XP SP-2? I've read conflicting messages on this. Hopefully I can use my version ECDC 5.1 with XP SP-2. Please advise.

 

EW

Link to comment
Share on other sites

Sorry for the butt-in but is this procedure good for Windows XP SP-2? I've read conflicting messages on this. Hopefully I can use my version ECDC 5.1 with XP SP-2. Please advise.

 

EW

It has worked for many people, but there were so many major changes included with Service Pack 2 that officially Roxio ended support at that point, and many people have been unable to get it to work.

 

You can try it.

 

(When I got WinXP SP2, I got a newer burning program to go with it.)

 

Lynn

Link to comment
Share on other sites

Sorry for the butt-in but is this procedure good for Windows XP SP-2? I've read conflicting messages on this. Hopefully I can use my version ECDC 5.1 with XP SP-2. Please advise.

 

EW

Yes, I have done it, which is why I posted that message. (I don't believe Lynn has.)

 

Regards,

Brendon

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...